AOZ Studio Beta - Bug #823

The Play command makes no sound.
09/17/2021 11:19 PM - Brian Flanagan

Status: Resolved Start date: 09/17/2021
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

No error is produced, however, no sound is generated.
Problem occurs in both manifests.

For example (from page 08.01.04 of AMOS Pro manual:

Play 1,40,0 : Play 2,50,0 : Rem no delay
Wait Key
Play 1,40,15 : Play 2,50,15 : Rem delay
Rem Play a random sequence of notes
Do
V=Rnd (15) : P=Rnd(96) : Play V,P,3
Print V,P
Wait 30
Loop
End

NOTE: | added the Wait 30 to make sure the program didn't run too fast.

History

#1 - 10/02/2021 03:21 AM - Brian Flanagan
- Estimated time set to 1:00 h

Re-tested in 1.0.0 (B10) u16 (10/1)

Still produces no audio. (Tested in macOS.)

#2 - 10/21/2021 10:47 AM - Brian Flanagan
- Priority changed from Normal to High

Re-tested on 21 Oct 2021 version.
It is mostly working now, but randomly freezes when in "amiga" manifest.
| think it also freezes when voice is set to 0.

It appears to be working on AOZ mode.
Modify the code with the Print before the Play so you can see when it fails:

#manifest: "amiga"
If Manifest$="amiga"
Then delay#=3
Else
delay#=3/60
End If

Play 1,40,0 : Play 2,50,0 : Rem no delay
Play 1,40,delay#*5 : Play 2,50,delay#*5 : Rem delay
Rem Play a random sequence of notes
Do
Print V,P
V=Rnd (15) : P=Rnd(96) : Play V,P,delay#
Wait delay#
Loop
End

#3 - 10/22/2021 11:55 PM - Brian Flanagan

- Status changed from New to Resolved

Adding another ticket for the secondary issue.

This particular one is fixed!
